Results 1 to 7 of 7

Thread: skype installation failed, need extra pacakges?

  1. #1

    Default skype installation failed, need extra pacakges?

    hi all:

    thanks for all helped to answer my question regarding skype (for opensuse 13.2).

    now i am having issue to have it installed:

    host:/home/me/Downloads # rpm -Uvh skype-4.3.0.37-suse.i586.rpm
    error: Failed dependencies:
    libpng12-0 is needed by skype-4.3.0.37-suse121.i586
    xorg-x11-libs is needed by skype-4.3.0.37-suse121.i586


    i checked the YasT and found out that i have "libpng16-16" installed. could i also install this "libpng12-0" along with this installed "libpng16-16"?

    thanks

    _dave

  2. #2
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,698

    Default Re: skype installation failed, need extra pacakges?

    You need the 32 bit version of those libs. Same name but with 32bit added to it

  3. #3

    Default Re: skype installation failed, need extra pacakges?

    Quote Originally Posted by gogalthorp View Post
    You need the 32 bit version of those libs. Same name but with 32bit added to it

    thanks. my laptop is 32-bit system. i am just wondering whether i can install two different versions of "libpng16-16" and "libpng12-0".

    thanks.

  4. #4
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,698

    Default Re: skype installation failed, need extra pacakges?

    If the OS is 32 bit then the normal packages should work. If you installed the 64 bit OS then you need the 32 bit version of the libraries. but yes you can have the 12-0 version if it is available in the repos. Different name is a different library no matter what our meat bag brains think LOL

    I guess you down loaded the RPM rather then install from the link I gave. That one should have no trouble since the packaging should know the way to do it.

  5. #5

    Default Re: skype installation failed, need extra pacakges?

    Quote Originally Posted by gogalthorp View Post
    If the OS is 32 bit then the normal packages should work. If you installed the 64 bit OS then you need the 32 bit version of the libraries. but yes you can have the 12-0 version if it is available in the repos. Different name is a different library no matter what our meat bag brains think LOL

    I guess you down loaded the RPM rather then install from the link I gave. That one should have no trouble since the packaging should know the way to do it.
    thanks. actually i tried that link and failed. so i had no option but downloaded the rpm package from skype web site.

    after installation of libpng12-0, the installation of skype was successful.

    thanks for help!

    _dave

  6. #6

    Default Re: skype installation failed, need extra pacakges?

    Quote Originally Posted by ipfreak View Post
    hi all:

    thanks for all helped to answer my question regarding skype (for opensuse 13.2).

    now i am having issue to have it installed:

    host:/home/me/Downloads # rpm -Uvh skype-4.3.0.37-suse.i586.rpm
    error: Failed dependencies:
    libpng12-0 is needed by skype-4.3.0.37-suse121.i586
    xorg-x11-libs is needed by skype-4.3.0.37-suse121.i586


    i checked the YasT and found out that i have "libpng16-16" installed. could i also install this "libpng12-0" along with this installed "libpng16-16"?

    thanks

    _dave
    You should use zypper to install packages even if it is a downloaded rpm. That should pull the dependencies if needed but im not saying it is a 100% solution, at least it will lessen some issues/errors

    Install packages that you downloaded.

    Code:
    zypper in foo.rpm
    or
    Code:
    zypper in /path/to/package/foo.rpm
    Now if you have a bunch of rpm in a directory and you have bash as the default shell you can do:

    Code:
    packages=(*.rpm); zypper in "${packages[@]}"
    or

    Code:
    packages=(/path/to/packages/*.rpm); zypper in "${packages[@]}"

    For POSIX compliant shell like zsh/mksh/ksh/sh etc. (which bash is included)

    Code:
    set -- *.rpm; zypper in "$@"
    or

    Code:
    set /path/to/packages/*.rpm; zypper in "$@"
    "Unfortunately time is always against us" -- [Morpheus]

    .:https://github.com/Jetchisel:.

  7. #7
    Join Date
    Nov 2009
    Location
    West Virginia Sector 13
    Posts
    15,698

    Default Re: skype installation failed, need extra pacakges?

    Link works here. Also did you try the second which is the general search page. This should be your first stop when a package may not in the regular repos.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •